local done = false
local origfunc = AchievementListGui.init
function AchievementListGui:init(...)
	origfunc(self, ...)
	
	if done then return end
	
	local gl = Global.custom_safehouse_manager.uno_achievements_challenge or {}
	
	if gl.challenge then
		local completed = true
		local message = 'You still need to do some.\n\n'
	
		for _, achievement_id in ipairs(gl.challenge) do
			local achievement = managers.achievment:get_info(achievement_id)
			local is_awarded = achievement and achievement.awarded
			
			if not is_awarded then
				--if completed then
				--	message = message..managers.localization:text('achievement_'..achievement_id)
				--else
				--	message = message..';  '..managers.localization:text('achievement_'..achievement_id)
				--end
				
				completed = false
			end
		end
		
		if completed then
			message = 'You have completed all of the secret achievements!'
		end
	
		QuickMenu:new(
				'Secret Achievements Status', 
				message,
				 {{text = 'OK', is_cancel_button = true}}	
		):Show()
		
		done = true
	end
end

